package sikd.sikd5.sikd5bean.ws.simpatik;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import sikd.sikd5.sikd5bean.fault.SIKDServiceException;

@XmlRootElement
@XmlType(name = "perkiraanBelanjaAkunWS", propOrder = {
    "kdAkun",
    "nilaib1",
    "nilaib2",
    "nilaib3",
    "nilaib4",
    "nilaib5",
    "nilaib6",
    "nilaib7",
    "nilaib8",
    "nilaib9",
    "nilaib10",
    "nilaib11",
    "nilaib12"

})
public class PerkiraanBelanjaAkun_WS implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = -49320748723540234L;
	private String kdAkun;
    private double nilaib1;
    private double nilaib2;
    private double nilaib3;
    private double nilaib4;
    private double nilaib5;
    private double nilaib6;
    private double nilaib7;
    private double nilaib8;
    private double nilaib9;
    private double nilaib10;
    private double nilaib11;
    private double nilaib12;
  
    public PerkiraanBelanjaAkun_WS() {
    }

    public PerkiraanBelanjaAkun_WS(String kdAkun, double nilaib1, double nilaib2, double nilaib3, double nilaib4, double nilaib5, double nilaib6, double nilaib7, double nilaib8, double nilaib9, double nilaib10, double nilaib11, double nilaib12) {
        this.kdAkun = kdAkun;
        this.nilaib1 = nilaib1;
        this.nilaib2 = nilaib2;
        this.nilaib3 = nilaib3;
        this.nilaib4 = nilaib4;
        this.nilaib5 = nilaib5;
        this.nilaib6 = nilaib6;
        this.nilaib7 = nilaib7;
        this.nilaib8 = nilaib8;
        this.nilaib9 = nilaib9;
        this.nilaib10 = nilaib10;
        this.nilaib11 = nilaib11;
        this.nilaib12 = nilaib12;
    }

    public String getKdAkun() throws SIKDServiceException {
   	 if (kdAkun == null || kdAkun.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi Kode Data/Akun");
        }
       return kdAkun;
   }

    public void setKdAkun(String kdAkun) {
        this.kdAkun = kdAkun;
    }

    public double getNilaib1() {
        return nilaib1;
    }

    public void setNilaib1(double nilaib1) {
        this.nilaib1 = nilaib1;
    }

    public double getNilaib2() {
        return nilaib2;
    }

    public void setNilaib2(double nilaib2) {
        this.nilaib2 = nilaib2;
    }

    public double getNilaib3() {
        return nilaib3;
    }

    public void setNilaib3(double nilaib3) {
        this.nilaib3 = nilaib3;
    }

    public double getNilaib4() {
        return nilaib4;
    }

    public void setNilaib4(double nilaib4) {
        this.nilaib4 = nilaib4;
    }

    public double getNilaib5() {
        return nilaib5;
    }

    public void setNilaib5(double nilaib5) {
        this.nilaib5 = nilaib5;
    }

    public double getNilaib6() {
        return nilaib6;
    }

    public void setNilaib6(double nilaib6) {
        this.nilaib6 = nilaib6;
    }

    public double getNilaib7() {
        return nilaib7;
    }

    public void setNilaib7(double nilaib7) {
        this.nilaib7 = nilaib7;
    }

    public double getNilaib8() {
        return nilaib8;
    }

    public void setNilaib8(double nilaib8) {
        this.nilaib8 = nilaib8;
    }

    public double getNilaib9() {
        return nilaib9;
    }

    public void setNilaib9(double nilaib9) {
        this.nilaib9 = nilaib9;
    }

    public double getNilaib10() {
        return nilaib10;
    }

    public void setNilaib10(double nilaib10) {
        this.nilaib10 = nilaib10;
    }

    public double getNilaib11() {
        return nilaib11;
    }

    public void setNilaib11(double nilaib11) {
        this.nilaib11 = nilaib11;
    }

    public double getNilaib12() {
        return nilaib12;
    }

    public void setNilaib12(double nilaib12) {
        this.nilaib12 = nilaib12;
    }

   
}
